/*
 * $Id: Link_definition_print.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Configuration/include/Link_definition.h"

namespace morpheo {
namespace behavioural {
namespace configuration {

#undef  FUNCTION
#define FUNCTION "Link_definition::print"
  std::string Link_definition::print (uint32_t depth)
  {
    log_begin(Configuration,FUNCTION);

    std::string _return = (toXML()).get_body(depth);

    log_end(Configuration,FUNCTION);
    return _return;
  };
  
#undef  FUNCTION
#define FUNCTION "Link_definition::operator<<"
  std::ostream& operator<< (std::ostream& output,
			    morpheo::behavioural::configuration::Link_definition & x)
  {
    log_begin(Configuration,FUNCTION);
    output << x.print(0);
    log_end(Configuration,FUNCTION);
    return output;
  };

}; // end namespace configuration
}; // end namespace behavioural
}; // end namespace morpheo              
